Bug 1296698 - undercloud ceilometer snmp pollster/inspector fails at get_samples
undercloud ceilometer snmp pollster/inspector fails at get_samples
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ceilometer (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: Eoghan Glynn
Yurii Prokulevych
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-07 17:22 EST by Richard Su
Modified: 2016-04-26 12:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-11 19:27:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Su 2016-01-07 17:22:34 EST
Description of problem:
/var/log/ceilometer/central.log shows

2016-01-07 01:30:15.183 5314 ERROR ceilometer.hardware.pollsters.generic [-] inspector call failed for hardware.cpu.load.1min host 192.0.2.9: An erro
r occurred, oids ['1.3.6.1.4.1.2021.10.1.3.1'], host 192.0.2.9, No SNMP response received before timeout
2016-01-07 01:30:15.183 5314 ERROR ceilometer.hardware.pollsters.generic Traceback (most recent call last):
2016-01-07 01:30:15.183 5314 ERROR ceilometer.hardware.pollsters.generic   File "/usr/lib/python2.7/site-packages/ceilometer/hardware/pollsters/gener
ic.py", line 171, in get_samples
2016-01-07 01:30:15.183 5314 ERROR ceilometer.hardware.pollsters.generic     param=inspector_param))
2016-01-07 01:30:15.183 5314 ERROR ceilometer.hardware.pollsters.generic   File "/usr/lib/python2.7/site-packages/ceilometer/hardware/inspector/snmp.
py", line 224, in inspect_generic
2016-01-07 01:30:15.183 5314 ERROR ceilometer.hardware.pollsters.generic     meter_def['matching_type'] == PREFIX)
2016-01-07 01:30:15.183 5314 ERROR ceilometer.hardware.pollsters.generic   File "/usr/lib/python2.7/site-packages/ceilometer/hardware/inspector/snmp.
py", line 160, in _query_oids
2016-01-07 01:30:15.183 5314 ERROR ceilometer.hardware.pollsters.generic     err=data))
2016-01-07 01:30:15.183 5314 ERROR ceilometer.hardware.pollsters.generic SNMPException: An error occurred, oids ['1.3.6.1.4.1.2021.10.1.3.1'], host 1
92.0.2.9, No SNMP response received before timeout
2016-01-07 01:30:15.183 5314 ERROR ceilometer.hardware.pollsters.generic 
2016-01-07 01:30:19.313 5314 ERROR ceilometer.hardware.pollsters.generic [-] inspector call failed for hardware.system_stats.cpu.idle host 192.0.2.9:
 invalid literal for int() with base 10: ''
2016-01-07 01:30:19.313 5314 ERROR ceilometer.hardware.pollsters.generic Traceback (most recent call last):
2016-01-07 01:30:19.313 5314 ERROR ceilometer.hardware.pollsters.generic   File "/usr/lib/python2.7/site-packages/ceilometer/hardware/pollsters/gener
ic.py", line 171, in get_samples
2016-01-07 01:30:19.313 5314 ERROR ceilometer.hardware.pollsters.generic     param=inspector_param))
2016-01-07 01:30:19.313 5314 ERROR ceilometer.hardware.pollsters.generic   File "/usr/lib/python2.7/site-packages/ceilometer/hardware/inspector/snmp.
py", line 241, in inspect_generic
2016-01-07 01:30:19.313 5314 ERROR ceilometer.hardware.pollsters.generic     suffix)
2016-01-07 01:30:19.313 5314 ERROR ceilometer.hardware.pollsters.generic   File "/usr/lib/python2.7/site-packages/ceilometer/hardware/inspector/snmp.
py", line 189, in get_oid_value
2016-01-07 01:30:19.313 5314 ERROR ceilometer.hardware.pollsters.generic     value = converter(value)
2016-01-07 01:30:19.313 5314 ERROR ceilometer.hardware.pollsters.generic   File "/usr/lib/python2.7/site-packages/pyasn1/type/univ.py", line 476, in 
__int__
2016-01-07 01:30:19.313 5314 ERROR ceilometer.hardware.pollsters.generic     def __int__(self): return int(self._value)
2016-01-07 01:30:19.313 5314 ERROR ceilometer.hardware.pollsters.generic ValueError: invalid literal for int() with base 10: ''
2016-01-07 01:30:19.313 5314 ERROR ceilometer.hardware.pollsters.generic 


Version-Release number of selected component (if applicable):
openstack-ceilometer-alarm-5.0.1-1.el7ost.noarch
openstack-ceilometer-api-5.0.1-1.el7ost.noarch
openstack-ceilometer-central-5.0.1-1.el7ost.noarch
openstack-ceilometer-collector-5.0.1-1.el7ost.noarch
openstack-ceilometer-common-5.0.1-1.el7ost.noarch
openstack-ceilometer-notification-5.0.1-1.el7ost.noarch
openstack-ceilometer-polling-5.0.1-1.el7ost.noarch
python-ceilometer-5.0.1-1.el7ost.noarch
python-ceilometerclient-1.5.0-1.el7ost.noarch

How reproducible:
always

Steps to Reproduce:
Incorporate fixes from
https://bugzilla.redhat.com/show_bug.cgi?id=1223257
https://bugzilla.redhat.com/show_bug.cgi?id=1223278
From above BZ update pipeline.yaml to include hardware support

1. Install rdo-manager in a virtual environment on RHEL
2. Deploy undercloud
3. Deploy overcloud
4. Run 'ceilometer meter-list' on the undercloud node, no meters are showing. central.log shows error.

Actual results:
no hardware meters shown from 'ceilometer meter-list'

Expected results:
hardware meters should be displayed

Additional info:
Comment 2 Richard Su 2016-01-11 19:27:57 EST
Upon further investigation, some errors are logged when not all services are up when the stack is starting up. This is normal. Eventually metering is setup correctly.

Note You need to log in before you can comment on or make changes to this bug.